FUNCTION::USER_STRIN(3stap)

NAME
function::user_string_quoted - Retrieves and quotes string from user space

SYNOPSIS

    user_string_quoted:string(addr:long)

ARGUMENTS

addr
    the user space address to retrieve the string from

DESCRIPTION

Returns the null terminated C string from a given user space memory address where any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string. Note that the string will be surrounded by double quotes. On the rare cases when userspace data is not accessible at the given address, the address itself is returned as a string, without double quotes.

SEE ALSO
tapset::uconversions(3stap)